<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar la Funcion {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>


<div class="">
    <div class="col-sm-12 titulo text-center">
        Funciones
    </div>
</div>
<app-separador></app-separador>

<br>
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1" *ngIf="vleer">
        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="tablaB">Buscar</label>
                    <input type="text" id="tablaB" name="tablaB"
                        [(ngModel)]="tablaB"
                        placeholder="Buscar por nombre de tabla"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Rol</td>
                    <td>Tabla</td>
                    <td>Crear</td>
                    <td>Leer</td>
                    <td>Actualizar</td>
                    <td>Eliminar</td>
                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of funciones.slice((page-1) *
                    pageSize,page * pageSize)" ng-click="selectPerson(persona)">
                    <td>{{ datos.nombreRol }}</td>
                    <td>{{ datos.tabla }}</td>
                    <td>
                        <i class="fa fa-check" style="color:green"
                            aria-hidden="true" [hidden]="!datos.crear"></i>
                        <i class="fa fa-times" style="color:red"
                            aria-hidden="true" [hidden]="datos.crear"></i>
                    </td>
                    <td>
                        <i class="fa fa-check" style="color:green"
                            aria-hidden="true" [hidden]="!datos.leer"></i>
                        <i class="fa fa-times" style="color:red"
                            aria-hidden="true" [hidden]="datos.leer"></i>
                    </td>
                    <td>
                        <i class="fa fa-check" style="color:green"
                            aria-hidden="true" [hidden]="!datos.actualizar"></i>
                        <i class="fa fa-times" style="color:red"
                            aria-hidden="true" [hidden]="datos.actualizar"></i>
                    </td>
                    <td>
                        <i class="fa fa-check" style="color:green"
                            aria-hidden="true" [hidden]="!datos.eliminar"></i>
                        <i class="fa fa-times" style="color:red"
                            aria-hidden="true" [hidden]="datos.eliminar"></i>
                    </td>
                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar "
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarFuncion(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar &&
                            datos.rol !== 1 " style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nombreRol)"></i>
                        </button>



                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="funciones.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-md-12 ">
        <div class="card" *ngIf="vopciones">
            <div class="card-body">
                <form name="myForm">
                    <div class="form-group">
                        <div class="input-group mb-3">
                            <label class="input-group-text" for="rol">Roles</label>
                            <select class="form-select" id="rol" name="rol"
                                [(ngModel)]="funcion.rol">
                                <option value="0">Seleccionar Rol</option>
                                <option *ngFor="let datos of roles"
                                    [value]="datos.id">
                                    {{datos.nombre}}
                                </option>

                            </select>

                        </div>
                        <label class="form-label error" for="rol"
                            *ngIf="errorRoles">{{strRoles}}</label>
                        <br>
                        <div class="input-group mb-3">
                            <label class="input-group-text" for="tabla">Tablas</label>
                            <select class="form-select" id="tabla" name="tabla"
                                [(ngModel)]="funcion.tabla">
                                <option value="0" selected>Seleccionar Tabla</option>
                                <option *ngFor="let datos of tablas"
                                    [value]="datos.nombre">
                                    {{datos.nombre}}
                                </option>
                            </select>

                        </div>
                        <label class="form-label error" for="tabla"
                            *ngIf="errorTablas">{{strTablas}}</label>
                        <br>

                        <div class="form-check">
                            <input class="form-check-input" type="checkbox"
                                value="" id="crear" name="crear"
                                [(ngModel)]="funcion.crear">
                            <label class="form-check-label"
                                for="flexCheckDefault">
                                Crear (Create)
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox"
                                value="" id="leer" name="leer"
                                [(ngModel)]="funcion.leer">
                            <label class="form-check-label"
                                for="flexCheckDefault">
                                Leer (Read)
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox"
                                value="" id="actualizar" name="actualizar"
                                [(ngModel)]="funcion.actualizar">
                            <label class="form-check-label"
                                for="flexCheckDefault">
                                Actualizar (Update)
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox"
                                value="" id="eliminar" name="eliminar"
                                [(ngModel)]="funcion.eliminar">
                            <label class="form-check-label"
                                for="flexCheckDefault">
                                Eliminar (Delete)
                            </label>
                        </div>
                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="cancelar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>
                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>
                </form>
            </div>
        </div>
    </div>
</div>